drop table if exists Users;

create table Users (
    UserID INTEGER primary key,
    LoginID TEXT not null,
    FirstName TEXT not null,
    LastName TEXT not null,
    Email TEXT not null,
    Notify INTEGER default 0,
    IsAdmin INTEGER default 0,
    OOO INTEGER default 0,
    OOOStartDate TEXT,
    OOOExpirationDate TEXT,
    DelegatedTo INTEGER,
    CanViewITAR INTEGER default 1,
    IsManager INTEGER default 0,
    IsCleansCertified INTEGER default 0,
    IsAnyLevelCertified INTEGER default 0,
    IsPackagingLabelingCertified INTEGER default 0,
    IsEpiProCertified INTEGER default 0,
    IsFqaCertified INTEGER default 0,
    IsFqaAssessmentCertified INTEGER default 0,
    IsActive INTEGER default 1
);

insert into Users (LoginID, FirstName, LastName, Email, OOO, OOOStartDate, OOOExpirationDate, DelegatedTo)
values ('AsRa', 'Ra', 'As', 'email', 1, '2024-01-01 00:00:00', '2024-02-01 00:00:00', 3),
('AuTr', 'Tr', 'Au', 'email', 1, '2024-01-01 00:00:00', '2024-02-01 00:00:00', 4),
('AyNi', 'Ni', 'Ay', 'email', 0, '', '', 0),
('BaGr', 'Gr', 'Ba', 'email', 0, '', '', 0),
('BaGu', 'Gu', 'Ba', 'email', 0, '', '', 0),
('BeTo', 'To', 'Be', 'email', 0, '', '', 0),
('BeBr', 'Br', 'Be', 'email', 0, '', '', 0),
('BrKy', 'Ky', 'Br', 'email', 0, '', '', 0),
('CaSh', 'Sh', 'Ca', 'email', 0, '', '', 0),
('CaRe', 'Re', 'Ca', 'email', 0, '', '', 0),
('CaSt', 'St', 'Ca', 'email', 0, '', '', 0),
('ClNi', 'Ni', 'Cl', 'email', 0, '', '', 0),
('DaMi', 'Mi', 'Da', 'email', 0, '', '', 0),
('FuJe', 'Je', 'Fu', 'email', 0, '', '', 0),
('GaAl', 'Al', 'Ga', 'email', 0, '', '', 0),
('GoAs', 'As', 'Go', 'email', 0, '', '', 0),
('GoRu', 'Ru', 'Go', 'email', 0, '', '', 0),
('GoOr', 'Or', 'Go', 'email', 0, '', '', 0),
('HaAn', 'An', 'Ha', 'email', 0, '', '', 0),
('HaPa', 'Pa', 'Ha', 'email', 0, '', '', 0),
('HoJu', 'Ju', 'Ho', 'email', 0, '', '', 0),
('HoDe', 'De', 'Ho', 'email', 0, '', '', 0),
('HoVi', 'Vi', 'Ho', 'email', 0, '', '', 0),
('InCa', 'Ca', 'In', 'email', 0, '', '', 0),
('JaMi', 'Mi', 'Ja', 'email', 0, '', '', 0),
('LeTh', 'Th', 'Le', 'email', 0, '', '', 0),
('LeHa', 'Ha', 'Le', 'email', 0, '', '', 0),
('LoAn', 'An', 'Lo', 'email', 0, '', '', 0),
('LoCh', 'Ch', 'Lo', 'email', 0, '', '', 0),
('LuDa', 'Da', 'Lu', 'email', 0, '', '', 0),
('MaBr', 'Br', 'Ma', 'email', 0, '', '', 0),
('MaDa', 'Da', 'Ma', 'email', 0, '', '', 0),
('MaDo', 'Do', 'Ma', 'email', 0, '', '', 0),
('McJu', 'Ju', 'Mc', 'email', 0, '', '', 0),
('MeGi', 'Gi', 'Me', 'email', 0, '', '', 0),
('MiSh', 'Sh', 'Mi', 'email', 0, '', '', 0),
('MoBa', 'Ba', 'Mo', 'email', 0, '', '', 0),
('MuTi', 'Ti', 'Mu', 'email', 0, '', '', 0),
('OtMa', 'Ma', 'Ot', 'email', 0, '', '', 0),
('PeAl', 'Al', 'Pe', 'email', 0, '', '', 0),
('RiCy', 'Cy', 'Ri', 'email', 0, '', '', 0),
('RoAp', 'Ap', 'Ro', 'email', 0, '', '', 0),
('SoAb', 'Ab', 'So', 'email', 0, '', '', 0),
('VaMi', 'Mi', 'Va', 'email', 0, '', '', 0),
('VuTh', 'Th', 'Va', 'email', 0, '', '', 0),
('WeWi', 'Wi', 'We', 'email', 0, '', '', 0),
('ZaNi', 'Ni', 'Za', 'email', 0, '', '', 0);