﻿using Dapper.Contrib.Extensions;

namespace FabApprovalWorkerService.Models;
[Table ("Users")]
public class User {
    [Key]
    public required int UserID { get; set; }
    public required string LoginID { get; set; }
    public required string FirstName { get; set; }
    public required string LastName { get; set; }
    public required string Email { get; set; }
    public bool Notify { get; set; } = true;
    public required bool IsAdmin { get; set; } = false;
    public DateTime LastLogin { get; set; }
    public required bool OOO { get; set; } = false;
    public DateTime OOOStartDate { get; set; }
    public DateTime OOOExpirationDate { get; set; }
    public int DelegatedTo { get; set; }
    public required bool CanViewITAR {  get; set; }
    public required bool IsManager { get; set; }
    public bool IsCleansCertified { get; set; } = false;
    public bool IsAnyLevelCertified { get; set; } = false;
    public bool IsPackagingLabelingCertified { get; set; } = false;
    public bool IsEpiProCertified { get; set; } = false;
    public bool IsFqaCertified { get; set; } = false;
    public bool IsFqaAssessmentCertified { get; set; } = false;
    public bool IsActive { get; set; } = false;
}
